SHA3_224 Class Reference

SHA3-224 message digest. More...

`#include <sha3.h>`

Inheritance diagram for SHA3_224:

## Additional Inherited Members

Public Member Functions inherited from SHA3_Final< 28 >
| SHA3_Final ()
| Construct a SHA3-X message digest.
unsigned int | BlockSize () const
| Provides the block size of the compression function.
std::string | AlgorithmName () const
| Provides the name of this algorithm.
Public Member Functions inherited from SHA3
unsigned int | DigestSize () const
| Provides the digest size of the hash.
unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance.
void | Update (const byte *input, size_t length)
| Updates a hash with additional input.
void | Restart ()
| Restart the hash.
void | TruncatedFinal (byte *hash, size_t size)
| Computes the hash of the current message.
Public Member Functions inherited from HashTransformation
HashTransformation & | Ref ()
| Provides a reference to this object.
virtual byte * | CreateUpdateSpace (size_t &size)
| Request space which can be written into by the caller.
virtual void | Final (byte *digest)
| Computes the hash of the current message.
unsigned int | TagSize () const
| Provides the tag size of the hash.
virtual unsigned int | OptimalBlockSize () const
| Provides the input block size most efficient for this hash.
virtual void | CalculateDigest (byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message.
virtual bool | Verify (const byte *digest)
| Verifies the hash of the current message.
virtual bool | VerifyDigest (const byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message.
virtual void | CalculateTruncatedDigest (byte *digest, size_t digestSize, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message.
virtual bool | TruncatedVerify (const byte *digest, size_t digestLength)
| Verifies the hash of the current message.
virtual bool | VerifyTruncatedDigest (const byte *digest, size_t digestLength, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message.
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object.
Static Public Member Functions inherited from SHA3_Final< 28 >
static std::string | StaticAlgorithmName ()
Static Public Attributes inherited from SHA3_Final< 28 >
static const int | DIGESTSIZE
static const int | BLOCKSIZE

## Detailed Description

SHA3-224 message digest.

Since
  Crypto++ 5.6.2

Definition at line 90 of file sha3.h.

The documentation for this class was generated from the following file:

- sha3.h